attribute vec4 a_position;
attribute vec2 a_texCoord;

uniform vec2 displacementVector;
uniform vec2 displacementCorrection;
uniform float height;

uniform	mat4 u_MVPMatrix;

#ifdef GL_ES
varying mediump vec2 v_texCoord;
#else
varying vec2 v_texCoord;
#endif
varying float alpha;

void main()
{
    vec2 position = a_position.xy + displacementVector;
    // a_position.z holds the max Y a vertex can have before it's recycled back
    if (position.y <= a_position.z) {
        position -= displacementCorrection;
    }
    alpha = min(0.8, 1.5 * position.y / height);
    gl_Position = u_MVPMatrix * vec4(position, 0, 1);
    v_texCoord = a_texCoord;
}
