attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

uniform vec2 speedVectorTimesTime;
uniform vec2 displacementCorrection;
uniform float textureSize;
uniform float height;

uniform	mat4 u_MVPMatrix;

#ifdef GL_ES
varying mediump vec2 v_texCoord;
#else
varying vec2 v_texCoord;
#endif
varying float alpha;

#define M_PI        3.14159265358979323846264338327950288

void main()
{
    vec2 displacementVector = mod(a_position.z * speedVectorTimesTime, displacementCorrection);
    vec2 position = a_position.xy + displacementVector;

    if (position.y <= 0.0) {
        position -= displacementCorrection;
    }
    alpha = min(0.8, 1.5 * position.y / height);

    float thisTextureSize = textureSize * a_position.z;
    position.x += thisTextureSize * a_texCoord.x + 10.0 * sin(10.0 * M_PI * a_color.b * position.y / height);
    position.y += thisTextureSize * a_texCoord.y;

    gl_Position = u_MVPMatrix * vec4(position, 0.0, 1.0);
    v_texCoord = a_texCoord;
}
